From 38a7e4cce4ae9fb807f82e9efb4d6848668ab547 Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?Mattias=20Engdeg=C3=A5rd?= <mattiase@acm.org>
Date: Sat, 6 Jun 2020 11:23:48 +0200
Subject: [PATCH] Use 65535 as color-values scale value in the NS backend

* src/nsfns.m (Fxw_color_values): Scale with 65535 instead of 65280, for
uniformity with other backends.
* lisp/faces.el (color-values): Update doc string.
* doc/lispref/frames.texi (Color Names): Update examples.
---
 doc/lispref/frames.texi | 6 +++---
 lisp/faces.el           | 2 +-
 src/nsfns.m             | 4 ++--
 3 files changed, 6 insertions(+), 6 deletions(-)

diff --git a/doc/lispref/frames.texi b/doc/lispref/frames.texi
index 6bf5db2aa1..966f620558 100644
--- a/doc/lispref/frames.texi
+++ b/doc/lispref/frames.texi
@@ -3975,11 +3975,11 @@ Color Names
 (color-values "black")
      @result{} (0 0 0)
 (color-values "white")
-     @result{} (65280 65280 65280)
+     @result{} (65535 65535 65535)
 (color-values "red")
-     @result{} (65280 0 0)
+     @result{} (65535 0 0)
 (color-values "pink")
-     @result{} (65280 49152 51968)
+     @result{} (65535 49344 52171)
 (color-values "hungry")
      @result{} nil
 @end example
diff --git a/lisp/faces.el b/lisp/faces.el
index e707f6f4b6..f4a9dedd79 100644
--- a/lisp/faces.el
+++ b/lisp/faces.el
@@ -1822,7 +1822,7 @@ color-values
 string specifying a color's RGB components (e.g. \"#ff12ec\").
 
 Return a list of three integers, (RED GREEN BLUE), each between 0
-and either 65280 or 65535 (the maximum depends on the system).
+and 65535 inclusive.
 Use `color-name-to-rgb' if you want RGB floating-point values
 normalized to 1.0.
 
diff --git a/src/nsfns.m b/src/nsfns.m
index 273fb5f759..628233ea0d 100644
--- a/src/nsfns.m
+++ b/src/nsfns.m
@@ -2329,8 +2329,8 @@ Frames are listed from topmost (first) to bottommost (last).  */)
   [[col colorUsingDefaultColorSpace]
         getRed: &red green: &green blue: &blue alpha: &alpha];
   unblock_input ();
-  return list3i (lrint (red * 65280), lrint (green * 65280),
-		 lrint (blue * 65280));
+  return list3i (lrint (red * 65535), lrint (green * 65535),
+		 lrint (blue * 65535));
 }
 
 
-- 
2.21.1 (Apple Git-122.3)

